import glob, requests, os, json
from dotenv import load_dotenv

load_dotenv()

instance_base_proto = os.getenv("INSTANCE_BASE_PROTO")
instance_base_url = os.getenv("INSTANCE_BASE_URL")
instance_full_url = instance_base_proto + "://" + instance_base_url + "/api/iceshrimp/emoji"
auth_token = os.getenv("AUTH_TOKEN")

json_data = {"authorization": auth_token}
amount_of_images = 0
image_num = 0

old_images = requests.get(instance_full_url, headers=json_data)
amount_of_images += len(old_images.json())
for image in old_images.json():
    image_num += 1
    print("removing " + image["name"] + " (" + str(image_num) + "/" + str(amount_of_images) + ")")
    rem = requests.delete((instance_full_url + "/" + image["id"]), headers=json_data)